ru.bitel.bgbilling.client.bean

## Class Constants

- java.lang.Object
- - ru.bitel.bgbilling.client.bean.Constants

-     public class Constants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_BGBILLING_FRAME_ICON_URL`
    `static java.lang.String` | `KEY_BGBILLING_TRANSFER_DEBUG`
    `static java.lang.String` | `KEY_CLIENT_START_OPEN_CONTRACT_IDS`
    `static java.lang.String` | `KEY_DEBUG_MESSAGE_MAX_LENGTH`
    `static java.lang.String` | `KEY_DEBUG_SHELL_TASK_EXECUTER`
    `static java.lang.String` | `KEY_IS_PATTERN`
    `static java.lang.String` | `KEY_LOCAL_CONFIG_ID`
    `static java.lang.String` | `KEY_LOCAL_CONFIG_PATH`
    `static java.lang.String` | `KEY_LOCAL_SETTING_FILE_NAME`
    `static java.lang.String` | `KEY_LOCAL_SETTING_FOLDER_NAME`
    `static java.lang.String` | `KEY_LOOK_AND_FEEL_DEFAULT`
    `static java.lang.String` | `KEY_LOOK_AND_FEEL_DEFAULT_THEME`
    `static java.lang.String` | `KEY_SHORT_CODE_FOR_SEARCH_OF_CLASSES`
    `static java.lang.String` | `KEY_UPDATE_FOLDER`
    `static java.lang.String` | `KEY_USER_HOME`
    `static java.lang.String` | `LOCAL_SETTINGS_DIR_NAME`
    `static java.lang.String` | `LOCAL_SETTINGS_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_IS_PATTERN

          public static final java.lang.String KEY_IS_PATTERN

      See Also:
        Constant Field Values

    - #### KEY_USER_HOME

          public static final java.lang.String KEY_USER_HOME

      See Also:
        Constant Field Values

    - #### KEY_UPDATE_FOLDER

          public static final java.lang.String KEY_UPDATE_FOLDER

      See Also:
        Constant Field Values

    - #### KEY_LOCAL_CONFIG_ID

          public static final java.lang.String KEY_LOCAL_CONFIG_ID

      See Also:
        Constant Field Values

    - #### KEY_LOCAL_CONFIG_PATH

          public static final java.lang.String KEY_LOCAL_CONFIG_PATH

      See Also:
        Constant Field Values

    - #### KEY_LOCAL_SETTING_FILE_NAME

          public static final java.lang.String KEY_LOCAL_SETTING_FILE_NAME

      See Also:
        Constant Field Values

    - #### KEY_LOCAL_SETTING_FOLDER_NAME

          public static final java.lang.String KEY_LOCAL_SETTING_FOLDER_NAME

      See Also:
        Constant Field Values

    - #### KEY_BGBILLING_FRAME_ICON_URL

          public static final java.lang.String KEY_BGBILLING_FRAME_ICON_URL

      See Also:
        Constant Field Values

    - #### KEY_BGBILLING_TRANSFER_DEBUG

          public static final java.lang.String KEY_BGBILLING_TRANSFER_DEBUG

      See Also:
        Constant Field Values

    - #### KEY_DEBUG_SHELL_TASK_EXECUTER

          public static final java.lang.String KEY_DEBUG_SHELL_TASK_EXECUTER

      See Also:
        Constant Field Values

    - #### KEY_DEBUG_MESSAGE_MAX_LENGTH

          public static final java.lang.String KEY_DEBUG_MESSAGE_MAX_LENGTH

      See Also:
        Constant Field Values

    - #### KEY_LOOK_AND_FEEL_DEFAULT_THEME

          public static final java.lang.String KEY_LOOK_AND_FEEL_DEFAULT_THEME

      See Also:
        Constant Field Values

    - #### KEY_LOOK_AND_FEEL_DEFAULT

          public static final java.lang.String KEY_LOOK_AND_FEEL_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_CLIENT_START_OPEN_CONTRACT_IDS

          public static final java.lang.String KEY_CLIENT_START_OPEN_CONTRACT_IDS

      See Also:
        Constant Field Values

    - #### KEY_SHORT_CODE_FOR_SEARCH_OF_CLASSES

          public static final java.lang.String KEY_SHORT_CODE_FOR_SEARCH_OF_CLASSES

      See Also:
        Constant Field Values

    - #### LOCAL_SETTINGS_DIR_NAME

          public static final java.lang.String LOCAL_SETTINGS_DIR_NAME

      See Also:
        Constant Field Values

    - #### LOCAL_SETTINGS_FILE_NAME

          public static final java.lang.String LOCAL_SETTINGS_FILE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()